#if TOGRA_DEBUG

#define D_ALLOC(t,s)        fprintf(stderr, "Allocation of loc %p as %s\n",t,s);
#define D_FREE(t,s)         fprintf(stderr, "Freeing %p (was a %s)\n", t,s);

#define PRINT_FV(s,fv) fprintf(stderr, "%s: (%2.2f, %2.2f, %2.2f, %2.2f)\n", \
		s, fv[0], fv[1], fv[2], fv[3])

#else

#define D_ALLOC(t,s)
#define D_FREE(t,s)

#define PRINT_FV(s,fv) fprintf(stderr, "%s: (%2.2f, %2.2f, %2.2f, %2.2f)\n", \
		s, fv[0], fv[1], fv[2], fv[3])

#endif

#if DEBUG_VERBOSE
#define TPRINTF(format,...) fprintf(stderr, format, __VA_ARGS__)

#else /* DEBUG_VERBOSE */
#define TPRINTF(format,...)

#endif /* DEBUG_VERBOSE */
