typedef struct {
	int 		msg_type;
	PyObject	*msg_src;
	PyObject	*msg_info;
} Msg;

typedef struct {
	int 	queue_length;
	int	queue_alloced;
	Msg	*msgs;
} MsgQueue;

extern MsgQueue *std_queue;

MsgQueue *NewQueue(void);
void DelQueue(MsgQueue *queue);

void AppendMessage(MsgQueue *queue, int msg_type, PyObject *msg_src,
		PyObject *msg_info);
void SendMessages(MsgQueue *queue, PyObject *function);

#define QUEUE_DEFAULT_LENGTH	10
/*
 * NB: DO NOT SET THIS TO 0!  It must be at least one or the resizing
 * stuff will fail.
 */

#define MESSAGE_INTERPOLATED_PATH_COMPLETE	1
#define MESSAGE_INTERPOLATED_PATH_INTERVAL	2
