#include "list.h"
#include <stdlib.h>

void TG_list_add(TG_List **list, void *data) {
	TG_List *nelem = malloc(sizeof(TG_List));
	nelem->data = data;
	nelem->next = *list;
	*list = nelem;
}

int TG_list_remove(TG_List **list, void *data) {
	TG_List *ptr;
	TG_List *prev = NULL;
	
	for (ptr = *list; ptr != NULL; ptr = ptr->next) {
		
		if (ptr->data == data) {
			if (prev == NULL) {
				*list = (*list)->next;
			} else {
				prev->next = ptr->next;
			}
			free(ptr);
			return 0;
		}
	}

	return -1;

}

void TG_list_init(TG_List **list) {
	*list = NULL;
}
