/*
 * Copyright 2003, Shane Stephens.  
 *
 * This work is protected by the BSD license.  Please see license.txt in the
 * root directory for more information.
 */

#include "TograIncludes.h"
#include "PyFloatList_common.h"

int C_PyFloatList_Floats(PyObject *v, float **result) {

        TOGRA_RETURN(((PyFloatList *)v)->floats);

}

int C_PyFloatList_Length(PyObject *v, int *result) {

	TOGRA_RETURN(((PyFloatList *)v)->floatsSize);

}

int C_PyFloatList_Item(PyObject *self, int index, float *result) {
	
	PyFloatList *l = (PyFloatList *)self;

	if (index < 0 || index > l->floatsSize) {
		
		TOGRA_FAIL;
		
	}
	
	TOGRA_RETURN(l->floats[index]);
	
}
