/*
 * Copyright 2003, Shane Stephens.  
 *
 * This work is protected by the BSD license.  Please see license.txt in the
 * root directory for more information.
 */

#include "TograIncludes.h"
#include "PyIntList_common.h"

int C_PyIntList_Ints(PyObject *v, int **result) {

        *result = ((PyIntList *)v)->ints;
	return 1;

}

int C_PyIntList_Length(PyObject *v, int *result) {

        *result = ((PyIntList *)v)->intsSize;
	return 1;

}

int C_PyIntList_Item(PyObject *self, int index, int *store) {
	
	PyIntList *l = (PyIntList *)self;

	if (index > l->intsSize) {
		
		return 0;
		
	}
	
	*store = l->ints[index];
	return 1;
	
}
