#include "TograIncludes.h"
#include "PyLinearInterpolation_common.h"

int C_PyLinearInterpolation_TransformByMe(PyObject *this, PyObject *a, 
		PyObject *b, double fraction) {

	PyObject *accum, *accum2;
	
	IVECTOR_MULTIPLYSCALAR(a, 1.0 - fraction, &accum);
	IVECTOR_MULTIPLYSCALAR(b, fraction, &accum2);
	IVECTOR_ADD(accum, accum2, &accum);

	IVECTOR_TRANSLATEBYME(accum);

	return 1;
}


int C_PyLinearInterpolation_InvertByMe(PyObject *this, PyObject *a, 
		PyObject *b, double fraction) {

	PyObject *accum, *accum2;

	IVECTOR_MULTIPLYSCALAR(a, fraction - 1.0, &accum);
	IVECTOR_MULTIPLYSCALAR(b, -fraction, &accum2);
	IVECTOR_ADD(accum, accum2, &accum);

	IVECTOR_TRANSLATEBYME(accum);

	return 1;
}
