#include "TograIncludes.h"
#include "PyTransformContainer_common.h"

int C_PyTransformContainer_GenerateTransform(PyObject *self, PyObject *status,
                int time, int gen_forward, int gen_reverse, int apply) {

        PyTransformContainer *tc = (PyTransformContainer *)self;
        int i;
        
	if (apply == 1) {
                for (i = tc->childrenSize - 1; i >= 0; i--)
                        ITRANSFORM_GENERATETRANSFORM(tc->children[i], 
				tc->status[i], time, gen_forward, gen_reverse, 
				apply);
        } else {
                for (i = 0; i < tc->childrenSize; i++)
                        ITRANSFORM_GENERATETRANSFORM(tc->children[i], 
				tc->status[i], time, gen_forward, gen_reverse, 
				apply);
        }

	return 1;
}

int C_PyTransformContainer_TransformByMe(PyObject *self) {

        PyTransformContainer *tc = (PyTransformContainer *)self;
        int i;

        for (i = tc->childrenSize - 1; i >= 0; i--)
                ITRANSFORM_TRANSFORMBYME(tc->children[i]);

	return 1;
}

int C_PyTransformContainer_InvertByMe(PyObject *self) {

        PyTransformContainer *tc = (PyTransformContainer *)self;
        int i;

        for (i = 0; i < tc->childrenSize; i++)
                ITRANSFORM_INVERTBYME(tc->children[i]);

	return 1;
}

int C_PyTransformContainer_RegisterSize(PyObject *self, int *result) {
	*result = 0;
	return 1;
}

int C_PyTransformContainer_Register(PyObject *self, PyObject * status) 
{
	return 1;
}

int C_PyTransformContainer_Configure(PyObject *self, PyObject * status, 
		PyObject * args) { return 1; }
int C_PyTransformContainer_DeRegister(PyObject *self, PyObject * status) 
{
	return 1;
}

