from Togra import *
from TograUtil import *
import math

d = {}

def f_init(time):
	pass

THRESH = 1.0

def f_rs(time, is_paused, paused_time):
	global d
	for f in d.keys():
		for t in d[f]:
			p1 = t.obj.getPosition()
			p2 = f.obj.getPosition()
			pd = Vector(p1[0]-p2[0],p1[1]-p2[1],p1[2]-p2[2])
			dist = pd.length() - 8
			ff = 10.0*dist
			f.obj.addForce(\
				Vector(pd[0] * ff, pd[1] * ff, pd[2] * ff))
			t.obj.addForce(\
				Vector(-pd[0] * ff, -pd[1] * ff, -pd[2] * ff))
	for f in d.keys():
		pass
scene = init()
pm = ProtoMixin()
pm.setInit(f_init)
pm.setRenderStep(f_rs)

ode = ODEMixin()

scene.addMixin(pm)
scene.addMixin(ode)
ode.setGravity(Vector(0,0,0))

pauseQuitKeystrokes(scene)

scene.newLight(Vector(-10,10,0), (0.8,0.2,0.2,1))
scene.newLight(Vector(20,0,-10), (0.2,0.2,0.8,1))

class Hasher:
	def __init__(this, obj):
		this.obj = obj

def ODESphere(density, radius, position, velocity, segs, stacks):
	global d
        t = sphere(0, 0, 0, radius, segs, stacks)
        o = ODETransform(ode)
        o.setSphere(density, radius)
        o.setPosition(position)
        o.setVelocity(velocity)
        t.transformContainer.append(o)
	oo = Hasher(o)
	d[oo] = []
        return (t, oo)

def connect(a, b):
	global d
	d[a].append(b)

a = ODESphere(1, 1, Vector(-10,0,0), Vector(0,0,0), 30, 30)
b = ODESphere(1, 1, Vector(0,0,0), Vector(0,0,0), 30, 30)
c = ODESphere(1, 1, Vector(0,10,10), Vector(0,0,0), 30, 30)
dd = ODESphere(1, 1, Vector(0,10,0), Vector(0,0,0), 30, 30)
connect(a[1], b[1])
connect(b[1], c[1])
connect(c[1], dd[1])
connect(dd[1], a[1])
connect(dd[1], b[1])
connect(c[1], a[1])

scene.baseContainer.append(a[0])
scene.baseContainer.append(b[0])
scene.baseContainer.append(c[0])
scene.baseContainer.append(dd[0])

scene.run()
