from Togra import *
from TograUtil import *

base = init()

pauseQuitKeystrokes(base)

surface = DynamicSurface(100,100)
surface.splineSurface(
	Vector(10,0,20), Vector(40,0,20), Vector(50,0,0), Vector(0,10,10), 
		Vector(0,40,-10), Vector(0,50,0))
surface_to = DynamicSurface(100,100)
surface_to.splineSurface(
	Vector(10,0,10), Vector(40,0,-10), Vector(50,0,0), Vector(0,10,20),
		Vector(0,40,20), Vector(0,50,0))

interpolator = InterpolationBehaviour(surface_to, 1000)
surface.setBehaviour(interpolator)
		
surface2 = DynamicSurface(100,100)
surface2.splineSurface(
	Vector(-10,0,20), Vector(-40,0,20), Vector(-50,0,0), Vector(0,10,10), 
		Vector(0,40,-10), Vector(0,50,0))
surface2_to = DynamicSurface(100,100)
surface2_to.splineSurface(
	Vector(-10,0,-10), Vector(-40,0,10), Vector(-50,0,0), Vector(0,10,20),
		Vector(0,40,20), Vector(0,50,0))
interpolator2 = InterpolationBehaviour(surface2_to, 1000)
surface2.setBehaviour(interpolator2)

surface2C = Container()
surface2C.append(surface2)
surface2C.transformContainer.append(Transform(translate=Vector(50,0,0)))

surfaceC = Container()
surfaceC.append(surface)
surfaceC.append(surface2C)
surfaceC.transformContainer.append(Transform(translate=Vector(-25,-25,0)))
surfaceC.transformContainer.append(rotatePath(Vector(0,0,1), 60000))
surfaceC.transformContainer.append(rotatePath(Vector(1,0,0), 10000))
surfaceC.transformContainer.append(Transform(translate=Vector(0,0,50)))

base.baseContainer.append(surfaceC)
base.baseContainer.setMaterial(Material(specular=(0.5,0.5,0.5,1), 
	shininess=50, emissive=(0,0,0,1), ambient=(0.5,0.5,0.5,1)))
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=90))

base.newLight(Vector(-100,10,10), (1,0,0,1))
base.newLight(Vector(-50,-30,30), (0,1,0,1))


base.run()
