from Togra import *
from TograUtil import *
import sys
import Tracker
import togragst

base = init()

t = Tracker.initTracker(base)

pauseQuitKeystrokes(base)

if len(sys.argv) == 2:
        fname = sys.argv[1]
else:
        fname = "/home/shans/alien.mpg"

SIZE=25

def do_dynamic_surface(a,b,c,d,e,f,g,h,i,j,k,l,m):
	surface = DynamicSurface(SIZE,SIZE)
	surface.splineSurface(a,b,c,d,e,f)
	surfaceb = DynamicSurface(SIZE,SIZE)
	surfaceb.splineSurface(g,h,i,j,k,l)
	surface.setBehaviour(InterpolationBehaviour(surfaceb, 2000*m))
	return surface

tc = FloatList(SIZE*SIZE)
for i in range(SIZE):
	for j in range(SIZE):
		tc.append(i/float(SIZE))
		tc.append(1.0 - j/float(SIZE))

surface = do_dynamic_surface(
	Vector(10,0,20), Vector(40,0,20), Vector(50,0,0), Vector(0,10,10), 
		Vector(0,40,-10), Vector(0,50,0), 
	Vector(10,0,10), Vector(40,0,-10), Vector(50,0,0), Vector(0,10,20),
		Vector(0,40,20), Vector(0,50,0), 0.5)
surface.textureCoords = tc

surface2 = do_dynamic_surface(
	Vector(-10,0,20), Vector(-40,0,20), Vector(-50,0,0), Vector(0,10,10), 
		Vector(0,40,-10), Vector(0,50,0), 
	Vector(-10,0,-10), Vector(-40,0,10), Vector(-50,0,0), Vector(0,10,20),
		Vector(0,40,20), Vector(0,50,0), 0.5)
surface2.textureCoords = tc

surface2C = Container()
surface2C.append(surface2)
surface2C.transformContainer.append(Transform(translate=Vector(50,0,0)))

surfaceC = Container()
surfaceC.append(surface)
surfaceC.append(surface2C)
surfaceC.transformContainer.append(Transform(translate=Vector(-25,-25,0)))
surfaceC.transformContainer.append(t)
surfaceC.transformContainer.append(Transform(translate=Vector(0,0,50)))

base.baseContainer.append(surfaceC)
m = Material(specular=(1,1,0,1), 
	shininess=50, emissive=(0,0,0,1), ambient=(0.5,0.5,1,1))
tex = togragst.AutoGstTexture (512, 512, togragst.FILE, fname)
m.setTexture(tex.texture)
base.baseContainer.setMaterial(m)
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=90))

base.newLight(Vector(-100,10,10), (1,0,0,1))
base.newLight(Vector(50,-30,30), (0,1,0,1))

base.setBackgroundColour(0,0,0)

base.run()
