from Togra import *
from TograUtil import *
import sys
import togragst

base = init()

pauseQuitKeystrokes(base)

if len(sys.argv) == 2:
        fname = sys.argv[1]
else:
        fname = "/home/shans/alien.mpg"

SIZE=50

surface = DynamicSurface(SIZE,SIZE)
surface.flatSurface(-10.0, -10.0, 10.0, 10.0)

b = RippleBehaviour(1,4,4000,4000)

surface.setBehaviour(b)

tc = FloatList(SIZE*SIZE)
for i in range(SIZE):
        for j in range(SIZE):
                tc.append(i/float(SIZE))
                tc.append(1.0 - j/float(SIZE))

surface.textureCoords = tc;

#surface.wobbleSurface(-10.0,-10.0,10.0,10.0, x_period=0.5, y_period=0.25,
#	x_period_period=2, x_period_magnitude=0.25,
#	y_period_period=1, y_period_magnitude=0.1)
#surface2 = DynamicSurface(25,25)
#surface2.wobbleSurface(-10.0,-10.0,10.0,10.0, y_period=0.33, x_period=0.33,
#	x_period_period=1.1, x_period_magnitude=0.2,
#	y_period_period=1, y_period_magnitude=0.2)

surface2C = Container()
surface2C.append(surface)
surface2C.transformContainer.append(Translation(Vector(0,0,6)))
surface2C.transformContainer.append(Transform(rotateAxis=Vector(0,1,0), rotateAmount=180))

surfaceC = Container()
surfaceC.append(surface)
surfaceC.append(surface2C)
surfaceC.transformContainer.append(rotatePath(Vector(0,0,1), 60000))
surfaceC.transformContainer.append(rotatePath(Vector(1,0,0), 10000))

base.baseContainer.append(surfaceC)
m = Material(specular=(0.5,0.5,0.5,1), shininess=50, emissive=(0,0,0,1), 
	ambient=(0.5,0.5,0.5,1))
tex = togragst.AutoGstTexture (256, 256, togragst.FILE, fname)
m.setTexture(tex.texture)
base.baseContainer.setMaterial(m)
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=90))

base.newLight(Vector(-100,10,10), (1,0,0,1))
base.newLight(Vector(-50,-30,30), (0,1,0,1))


base.run()
