from Togra import *
from TograUtil import *

base = init()

pauseQuitKeystrokes(base)

surface = StaticSurface(100,100)
#surface.flatSurface(-10.0,-10.0,10.0,10.0)
surface.wobbleSurface(-10.0,-10.0,10.0,10.0,0.5,0.2,0.1,0.1)

base.baseContainer.append(surface)
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=270))
base.baseContainer.append(sphere(12,12,0,1,50,50))
base.baseContainer.append(sphere(12,-12,0,1,50,50))
base.baseContainer.append(sphere(-12,12,0,1,50,50))
base.baseContainer.append(sphere(-12,-12,0,1,50,50))
base.baseContainer.setMaterial(Material(specular=(0.5,0.5,0.5,1), shininess=200,
	emissive=(0,0,0,1), ambient=(0.2,0.2,0.2,1)))

r = TransformContainer()
r.append(rotatePath(Vector(0,0,1), 5000))
print base.newLight(Vector(0,30,0), (1,0,0,1), r)

t = TransformContainer()
t.append(rotatePath(Vector(0,1,0), 3000))
print base.newLight(Vector(0,0,30), (1,1,0,1), t)

base.baseContainer.transformContainer.append(rotatePath(Vector(1,0.1,0), 50000))

base.run()
