from Togra import *
from TograUtil import *

scene = init()

pauseQuitKeystrokes(scene)

sphere = UnitSphere(50,50)
a = Container()
a.append(sphere)
a.getTransformContainer().append(Transform(scale=Vector(4,4,4)))

for i in range(5):
        for j in range(5):
                m = Material(ambient=Colour(i*0.2, 0.5, 0.5, 1.0), 
                        specular=Colour(0.5,j*0.2,0.5,1.0), 
			shininess=20+10*i+2*j)
                c = Container()
                v = Vector((i-2)*10, (j-2)*10, 0)
                c.getTransformContainer().append(Translation(v))
                c.append(a)
                c.setMaterial(m)
                scene.getBaseContainer().append(c)

scene.setViewFrom(Vector(0,0,-50))
scene.setViewTo(Vector(0,0,0))

t = TransformContainer()
t.append(rotatePath(Vector(0,1,0), 4000))

lightID = scene.newLight()
scene.setLightPosition(lightID, Vector(50,50,-50))
scene.setLightSpecular(lightID, Colour(1,1,1,1))
scene.setLightDiffuse(lightID, Colour(0.6,0.6,0.6,1))
scene.setLightTransform(lightID, t)
scene.getBaseContainer().getTransformContainer().append(
	rotatePath(Vector(0,1,0), 4000))

scene.run()
