from Togra import *
from TograUtil import *
import random

e = init()
pauseQuitKeystrokes(e)

lightID = e.newLight()
e.setLightPosition(lightID, Vector(-30, -30, 0))
e.setLightDiffuse(lightID, Colour(0.1, 0.1, 0.9, 1))
lightID2 = e.newLight()
e.setLightPosition(lightID2, Vector(0, -30, -30))
e.setLightDiffuse(lightID2, Colour(0.1, 0.7, 0.1, 1))
list = None

def messageFunction(messages):
	for message in messages:
		if len(message) == 4:
			message[2](message[3])
		else:
			message[2]()

e.setMessageFunction(messageFunction)

def newPos(curPos):
	global list
        x = random.randrange(0, 50)
        y = random.randrange(-50, 50)
        z = random.randrange(-50, 50)
        v = Vector(x, y, z)
        ip = fromToPath(curPos, v, 999)
	c = t.getTransformContainer()
	if len(c) == 1:
                c.append(ip)
	else:
		c[1] = ip
	
	ip.setCallback(c.getStatusItem(1), (newPos, v))
        list = ip

def newPosMiddle():
	global list
	r.getTransformContainer()[1] = list
	status = r.getTransformContainer().getStatusItem(1)
	list.setDelay(status, 333)
	list.setCallback(status, newPosMiddle)

def newPosEnd():
	s.getTransformContainer()[1] = list
	status = s.getTransformContainer().getStatusItem(1)
	list.setDelay(status, 666)
	list.setCallback(status, newPosEnd)

gPath = rotatePath(Vector(0,1,0), 5000)

t = UnitSphere(30, 30)
t.getTransformContainer().append(Transform(scale=Vector(10,10,10)))
newPos(Vector(0, 0, 0))

r = UnitCylinder(50)
r.getTransformContainer().append(Transform(scale=Vector(10,10,10)))
r.getTransformContainer().append(list)
status = r.getTransformContainer().getStatusItem(1)
list.setDelay(status, 333)
list.setCallback(status, newPosMiddle)

s = Container(1)
s.append(UnitBox())
s.getTransformContainer().append(Transform(scale=Vector(10,10,10)))
s.getTransformContainer().append(list)
status = s.getTransformContainer().getStatusItem(1)
list.setDelay(status, 666)
list.setCallback(status, newPosEnd)

globl = e.getBaseContainer()
globl.getTransformContainer().append(Translation(Vector(-30,0,0)))
e.getBaseContainer().getTransformContainer().append(gPath)
globl.getTransformContainer().append(Translation(Vector(30,0,0)))
globl.append(r)
globl.append(s)
globl.append(t)

e.setViewFrom(Vector(-90,0,0))
e.run()
