import os
import sys

try:
	obj_name = sys.argv[1]
except:
	print "usage: gimme_symbols <object>"
	sys.exit(1)

s = 'gcc -shared -I . -I ../include_new -I /usr/include/python2.3/ ' + \
	'%s_impl.c ../src_new/C_%s.c -o %s_impl_symboltest.so ' % \
	(obj_name, obj_name, obj_name) + \
	'-I `pkg-config --cflags gtk+-2.0 gtkgl-2.0`'

for item in sys.argv[2:]:
	s += ' ' + item

print s
os.system(s)
os.system('objdump -t %s_impl_symboltest.so | grep UND > undef_symbols' % 
	(obj_name,))

f = open('undef_symbols', 'r')
undef_symbols = map(lambda a: a[-1], filter(lambda a: len(a) < 5,
	map(lambda a: a.split(), f.readlines())))
f.close()

for symbol in undef_symbols:
	if (symbol[:4] == 'gtk_'):
		continue
	if (symbol[-4:] == '_New'):
		if symbol[:-4][-len(symbol):] != symbol:
			continue
	if (symbol[:2] == 'Py'):
		continue
	if (symbol[:2] == 'gl'):
		continue
	if (symbol[:2] == 'g_'):
		continue
	if (symbol[:4] == '_Py_'):
		continue
	print symbol
