#include "TograIncludes.h"

void C_PyAddMixin(void *rendercontrol, PyObject *mixin) {
	
	PyRenderControl *rc = (PyRenderControl *)rendercontrol;

 	INIT(mixin, rc->lastTime - rc->baseTime);
	
	TG_list_add(&(rc->mixins), (void *)mixin);

}

PyObject *PyAddMixin(PyObject *self, PyObject *args)
{

	PyObject *mixin;
	if (!PyArg_ParseTuple(args, "O", &mixin)) {
		return NULL;
	}

	C_PyAddMixin(self, mixin);
	
	Py_INCREF(Py_None);
	return Py_None;

}



void C_StepMixins(TG_List *mixins, int last, int is_paused, int p_time)
{
	TG_List *ptr;

	for (ptr = mixins; ptr != NULL; ptr = ptr->next) {
		RENDERSTEP(ptr->data, last, is_paused, p_time);
	}

}
