#include "TograIncludes.h"
#include "PyStaticTexture_common.h"

void
C_PyStaticTexture_Setup(PyStaticTexture *object, int *bits, int width, 
		int height, int format)
{

	glGenTextures(1, &(object->texture));
	glBindTexture(GL_TEXTURE_2D, object->texture);

	glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_S, GL_REPEAT);
        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_WRAP_T, GL_REPEAT);
        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MAG_FILTER, GL_NEAREST);
        glTexParameteri(GL_TEXTURE_2D, GL_TEXTURE_MIN_FILTER, GL_NEAREST);

        glTexImage2D(GL_TEXTURE_2D, 0, GL_RGBA, width, height, 0, format,
                        GL_UNSIGNED_BYTE, (void *)bits);

}

int C_PyStaticTexture_SetTexture(PyObject *object, int time) {

	glEnable(GL_TEXTURE_2D);
	glTexEnvf(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
	glBindTexture(GL_TEXTURE_2D, ((PyStaticTexture *)object)->texture);

	return 1;

}
