#include "TograIncludes.h"
#include "PyTranslation_common.h"

int C_PyTranslation_TransformByMe(PyObject *self)
{
	PyTranslation *t = (PyTranslation *)self;
	PyVector *v = (PyVector *)t->translation;

	glTranslated(v->vector[0], v->vector[1], v->vector[2]);

	return 1;
}

int C_PyTranslation_InvertByMe(PyObject *self)
{
	PyTranslation *t = (PyTranslation *)self;
	PyVector *v = (PyVector *)t->translation;

	glTranslated(-v->vector[0], -v->vector[1], -v->vector[2]);

	return 1;
}

int C_PyTranslation_GenerateTransform(PyObject *self, PyObject *status,
		int time, int gen_forward, int gen_reverse, int apply) {

	if (apply == 1)
		C_PyTranslation_TransformByMe(self);
	else if (apply == -1)
		C_PyTranslation_InvertByMe(self);

	return 1;
}

int C_PyTranslation_RegisterSize(PyObject *self, int *result) 
{
	*result = 0;
	return 1;
}

int C_PyTranslation_Register(PyObject *self, PyObject *status) {return 1;}
int C_PyTranslation_Configure(PyObject *self, PyObject *status, PyObject *args) 
{ 
	return 1;
}
int C_PyTranslation_DeRegister(PyObject *self, PyObject *status) {return 1;}
