/*
 * Copyright 2003, Shane Stephens.  
 *
 * This work is protected by the BSD license.  Please see license.txt in the
 * root directory for more information.
 */

#include <sys/time.h>
#include <time.h>


static struct timeval offset;

void InitTime(void)
{
	
	gettimeofday(&offset, NULL);
	
}

unsigned long GetTime(void)
{

	struct timeval time;
	unsigned long val;
		
	gettimeofday(&time, NULL);
	
	time.tv_sec -= offset.tv_sec;
	time.tv_usec -= offset.tv_usec;
	
	val = time.tv_sec * 1000 + (time.tv_usec / 1000);
	
	return val;
	
}
