from Togra import *
from TograUtil import *
import sys

base = init()

try:
	ACC = int(sys.argv[1])
	STEP1 = float(sys.argv[2])
	STEP2 = float(sys.argv[3])
except:
	ACC=50
	STEP1=3
	STEP2=2

pauseQuitKeystrokes(base)

def do_dynamic_surface(a,b,c,d,e,f,g,h,i,j,k,l,m):
	surface = DynamicSurface(ACC,ACC)
	surface.splineSurface(a,b,c,d,e,f)
	surfaceb = DynamicSurface(ACC,ACC)
	surfaceb.splineSurface(g,h,i,j,k,l)
	surface.setBehaviour(InterpolationBehaviour(surfaceb, 1000*m))
	return surface

surface = do_dynamic_surface(
	Vector(10,0,30), Vector(40,0,30), Vector(50,0,0), Vector(0,10,30), 
		Vector(0,40,30), Vector(0,50,0), 
	Vector(10,0,-30), Vector(40,0,-30), Vector(50,0,0), Vector(0,20,-30),
		Vector(0,30,-30), Vector(0,50,0), STEP1)
surface2 = do_dynamic_surface(
	Vector(-10,0,30), Vector(-40,0,30), Vector(-50,0,0), Vector(0,10,30), 
		Vector(0,40,30), Vector(0,50,0), 
	Vector(-10,0,-30), Vector(-40,0,-30), Vector(-50,0,0), Vector(0,20,-30),
		Vector(0,30,-30), Vector(0,50,0), STEP1)
surface3 = do_dynamic_surface(
	Vector(10,0,30), Vector(40,0,30), Vector(50,0,0), Vector(0,10,30), 
		Vector(0,40,30), Vector(0,50,0), 
	Vector(10,0,-30), Vector(40,0,-30), Vector(50,0,0), Vector(0,20,-30),
		Vector(0,30,-30), Vector(0,50,0), STEP2)
surface4 = do_dynamic_surface(
	Vector(-10,0,30), Vector(-40,0,30), Vector(-50,0,0), Vector(0,10,30), 
		Vector(0,40,30), Vector(0,50,0), 
	Vector(-10,0,-30), Vector(-40,0,-30), Vector(-50,0,0), Vector(0,20,-30),
		Vector(0,30,-30), Vector(0,50,0), STEP2)


surface2C = Container()
surface2C.append(surface2)
surface2C.append(surface4)
surface2C.transformContainer.append(Transform(translate=Vector(50,0,0)))

surfaceC = Container()
surfaceC.append(surface)
surfaceC.append(surface3)
surfaceC.append(surface2C)
surfaceC.transformContainer.append(Transform(translate=Vector(-25,-25,0)))
surfaceC.transformContainer.append(rotatePath(Vector(0,0,1), 60000))
surfaceC.transformContainer.append(rotatePath(Vector(1,0,0), 10000))
surfaceC.transformContainer.append(Transform(translate=Vector(0,0,60)))

base.baseContainer.append(surfaceC)
base.baseContainer.setMaterial(Material(specular=(0.5,0.5,0.5,1), 
	shininess=50, emissive=(0,0,0,1), ambient=(0.5,0.5,0.5,1)))
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), rotateAmount=90))

base.newLight(Vector(-100,10,10), (1,0,0,1))
base.newLight(Vector(-50,-30,30), (0,1,0,1))


base.run()
