from Togra import *
from TograUtil import *
import random

e = init()
pauseQuitKeystrokes(e)

bPath = rotatePath(Vector(0,1,0), 3000)
gPath = rotatePath(Vector(0,0,1), 2800)
rPath = rotatePath(Vector(1,0,0), 2600)

tc1 = TransformContainer(1)
tc1.append(bPath)
tc2 = TransformContainer(1)
tc2.append(gPath)
tc3 = TransformContainer(1)
tc3.append(rPath)

e.newLight(Vector(-30, 0, 0), (0.1,0.1,0.9,1), tc1)
e.newLight(Vector(0, -30, 0), (0.1,0.7,0.1,1), tc2)
e.newLight(Vector(0, 0, -30), (0.7,0.1,0.1,1), tc3)

t = sphere(0, 0, 0, 10, 60, 60)
t.transformContainer.append(Scale(Vector(1,2,1)))
t.transformContainer.append(rotatePath(Vector(0,1,2), 80000))
t.transformContainer.append(rotatePath(Vector(0,1,0), 3000))
e.baseContainer.append(t)

e.view_from = Vector(-24,-24,-24)
e.view_up = Vector(-1,1,-1)
e.run()
