from Togra import *
from TograUtil import *

scene = init()

pauseQuitKeystrokes(scene)

a = sphere(0,0,0,4,50,50)

for i in range(5):
        for j in range(5):
                m = Material(ambient=(i*0.2, 0.5, 0.5, 1.0), 
                        specular=(0.5,j*0.2,0.5,1.0), shininess=20+10*i+2*j)
                c = Container()
                v = Vector((i-2)*10, (j-2)*10, 0)
                c.transformContainer.append(Translation(v))
                c.append(a)
                c.setMaterial(m)
                scene.baseContainer.append(c)

scene.view_from = Vector(0,0,-50)
scene.view_to = Vector(0,0,0)

t = TransformContainer()
t.append(rotatePath(Vector(0,1,0), 4000))

scene.newLight(Vector(50,50,-50), (1,1,1,1), t)
scene.baseContainer.transformContainer.append(rotatePath(Vector(0,1,0), 4000))

scene.run()
