import pygst
pygst.require ("0.10")
import gst
from Togra import *
from TograUtil import *
import math
import sys
import togragst

GL_RGB          = 0x1907

if len(sys.argv) == 2:
	fname = sys.argv[1]
else:
	fname = "/home/shans/alien.mpg"

scene = init()

path = TransformContainer()

a = rotatePath(Vector(0,1,0), 65000)
path.append(a)

path.append(rotatePath(Vector(0,1,0), 6500))
path.append(rotatePath(Vector(0,0,1), 10000))
        
pauseQuitKeystrokes(scene)

my_sphere = sphere(0, 0, 0, 10, 40, 40)

m = Material(shininess=50, specular=(1,1,1,1))
t = togragst.AutoGstTexture(4096, 1024, togragst.FILE, fname)
m.setTexture(t.texture)

my_sphere.setMaterial(m)
my_sphere.setMaterialCoords()

my_sphere.transformContainer.append(path)
my_sphere.transformContainer.append(Transform(rotateAxis=Vector(0,1,0),
	rotateAmount=90))

t = TransformContainer()
t.append(rotatePath(Vector(0,1,0), 2000))
scene.newLight(Vector(-20,0,0), (1,1,1,1), t)

scene.baseContainer.append(my_sphere)
scene.run()
