from Togra import *
import Image

ISPAUSED = [0]
GL_RGB   = 0x1907

def myKb(*args):
        if args[0] == ord('q'):
                e.exit()                # this will exit!
        if args[0] == ord(' '):
                if ISPAUSED[0]:
                       e.cont()
                else:
                       e.pause()
                ISPAUSED[0] = not ISPAUSED[0]      

e = init(1)
e.keyFunction = myKb        

ip = InterpolatedPath(3)
ip.append((Vector(30,0,0), Vector(0,-15,0), Vector(0,15,0)),0)
ip.append((Vector(0,30,0), Vector(15,0,0), Vector(-15,0,0)), 1000)
ip.append((Vector(-30,0,0), Vector(0,15,0), Vector(0,-15,0)), 2000)
ip.append((Vector(0,-30,0), Vector(-15,0,0), Vector(15,0,0)),3000)
ip.append((Vector(30,0,0), Vector(0,-15,0), Vector(0,15,0)),4000)
ip.setMaxIndex(4000)

ip2 = InterpolatedPath(3)
ip2.append((Vector(60,0,0), Vector(0,-20,0), Vector(0,20,0)),0)
ip2.append((Vector(0,40,0), Vector(30,0,0), Vector(-30,0,0)), 750)
ip2.append((Vector(-60,0,0), Vector(0,20,0), Vector(0,-20,0)), 1500)
ip2.append((Vector(0,-40,0), Vector(-30,0,0), Vector(30,0,0)),2250)
ip2.append((Vector(60,0,0), Vector(0,-20,0), Vector(0,20,0)),3000)
ip2.setMaxIndex(3000)

im = Image.open("IMG_1716.JPG")
im = im.resize((1024,1024))

globl = Container()
  
globl.transformContainer.append(Transform(translate=Vector(80, 0, -40)))

translates = [Vector(35,0,35), Vector(0,35,35), Vector(0,-35,35),
              Vector(0,0,70), Vector(-35,0,35), Vector(0,0,35),
              Vector(0,0,35), Vector(0,0,35), Vector(0,0,35)]

rotates = [Vector(0,1,0), Vector(1,0,0), Vector(1,0,0),
                Vector(0,0,1), Vector(0,1,0), Vector(0,0,1), 
                Vector(0,0,1), Vector(0,0,1), Vector(0,0,1)]

rAmounts = [90, 90, -90, 180, -90, 45, -45, 135, -135]

containers = []
for i in range(len(translates)):
        containers.append(Container())
        containers[-1].transformContainer.append(Transform(translate=translates[i],
                rotateAxis=rotates[i], rotateAmount=rAmounts[i]))

r = sphere(0, 0, 0, 10, 100, 100)
m = Material(ambient=(0.6,0.4,0.4,1), shininess=40,specular=(0.3,0.3,0.3,1))
#m = Material()
#m.setTexture(im.tostring(), 1024, 1024, GL_RGB)
r.setMaterial(m)

r.transformContainer.append(ip)

s = sphere(0, 0, 0, 10, 100, 50)
s.transformContainer.append(ip2)
s.setMaterial(Material(ambient=(0.4,0.4,0.6,1),
		shininess=40,specular=(0.3,0.3,0.3,1)))

for i in range(5):
        containers[i].append(r)
for i in range(5, 9):
        containers[i].append(s)

containers.append(r)

map(globl.append, containers)

path = InterpolatedPath()
path.setType(1)
path.append(Vector(0,0,0), 0)
path.append(Vector(0,-40,0), 2000)
path.append(Vector(0,-40,40), 4000)
path.append(Vector(0,0,0), 6000)
path.setMaxIndex(6000)

t = TransformContainer()
t.append(path)

e.newLight(Vector(50,40,0), (1,1,1,1), t)
lObj = sphere(50,40,0,1,10,10)
lObj.setMaterial(Material(emissive=(0.8,0.8,0.2,1)))
lObj.transformContainer.append(t)
e.baseContainer.append(lObj)
e.baseContainer.append(globl)

e.run()
