from Togra import *
from TograUtil import *


e = init()

pauseQuitKeystrokes(e)

#e.newLight(Vector(0,100,0), (1,0,0,1))

ip = InterpolatedPath(3)
ip.append((Vector(30,0,0), Vector(0,-15,0), Vector(0,15,0)),0)
ip.append((Vector(0,30,0), Vector(15,0,0), Vector(-15,0,0)), 750)
ip.append((Vector(-30,0,0), Vector(0,15,0), Vector(0,-15,0)), 1500)
ip.append((Vector(0,-30,0), Vector(-15,0,0), Vector(15,0,0)), 2250)
ip.append((Vector(30,0,0), Vector(0,-15,0), Vector(0,15,0)), 3000)
ip.setMaxIndex(3000)

ip2 = InterpolatedPath(3)
ip2.append((Vector(30,0,0), Vector(0,-15,7.5), Vector(0,15,-7.5)), 0)
ip2.append((Vector(0,-30,15), Vector(-15,0,-7.5), Vector(15,0,7.5)), 750)
ip2.append((Vector(-30,0,0), Vector(0,15,7.5), Vector(0,-15,-7.5)), 1500)
ip2.append((Vector(0,30,-15), Vector(15,0,-7.5), Vector(-15,0,7.5)), 2250)
ip2.append((Vector(30,0,0), Vector(0,-15,7.5), Vector(0,15,-7.5)), 3000)
ip2.setMaxIndex(3000)

globl = e.baseContainer
  

rAmounts = [ 0, 72, 144, -144, -72, 36, 108, 180, -108, -36 ]

containers = []
for i in range(5):
        c = Container()
	c.transformContainer.append(Transform(
		rotateAxis=Vector(0,0,1), rotateAmount=rAmounts[i]))
	c.setMaterial(Material(ambient=(0.7, 0.4, 0.4, 1),
		specular=(0.7,0.4,0.7,1), shininess=10))
	containers.append(c)

for i in range(5, 10):
        containers.append(Container())
        containers[-1].transformContainer.append(Transform(
                rotateAxis=Vector(0,0,-1), rotateAmount=rAmounts[i]))
	containers[-1].setMaterial(Material(ambient=(0.4, 0.4, 0.7, 1),
		specular=(0.7,0.4,0.7,1), shininess=10))

r = sphere(0, 0, 0, 8, 50, 50)
r.transformContainer.append(ip)

s = sphere(0, 0, 0, 8, 50, 50)
s.transformContainer.append(ip2)

for i in range(5):
        containers[i].append(r)
for i in range(5, 10):
	containers[i].append(s)

c = Container()
c.transformContainer.append(ip2)
c.append(Light(diffuse=(1,0,0.2,1), location=Vector(0,30,0)))
s = sphere(0,20,0,1,10,10)
s.setMaterial(Material(emissive=(1,0,0.2,1), ambient=(1,0,0.2,1)))
c.append(s)
containers[-1].append(c)

d = Container()
d.transformContainer.append(ip)
d.append(Light(diffuse=(0,0.2,1,1), location=Vector(-30,0,0)))
s = sphere(-30,0,0,1,10,10)
d.append(s)
s.setMaterial(Material(emissive=(0,0.2,1,1), ambient=(0,0.2,1,1)))
containers[4].append(d)

f = Container()
f.transformContainer.append(ip)
f.append(Light(diffuse=(1,0.2,0,1), location=Vector(0,-20,0)))
s = sphere(0,-20,0,1,10,10)
s.setMaterial(Material(emissive=(1,0.2,0,1), ambient=(1,0.2,0,1)))
f.append(s)
f.transformContainer.append(rotatePath(Vector(0,1,0), 16000))
containers[4].append(f)


map(globl.append, containers)

globl.transformContainer.append(rotatePath(Vector(0,1,0), 20000))
globl.transformContainer.append(Transform(translate=Vector(80, 0, 0),
	           rotateAxis=Vector(0,1,0), rotateAmount=30))

e.run()
