from Togra import *
from TograUtil import *

base = init()

pauseQuitKeystrokes(base)

surface = StaticSurface(100,100)
surface2 = StaticSurface(100,100)
surface.splineSurface(Vector(10, 0, 10), Vector(40, 0, 10), Vector(50, 0, 0),
	Vector(0, 10, 10), Vector(0, 40, -10), Vector(0, 50, 0))
surface2.splineSurface(Vector(-10, 0, 10), Vector(-40, 0, 10), 
	Vector(-50, 0, 0), Vector(0, 10, 10), Vector(0, 40, -10), 
	Vector(0, 50, 0))

c = Container(1)
c.append(surface2)
c.transformContainer.append(Translation(Vector(50,0,0)))
base.baseContainer.append(surface)
base.baseContainer.append(c)
base.baseContainer.transformContainer.append(Translation(Vector(-25,-25,0)))
base.baseContainer.transformContainer.append(rotatePath(Vector(0.2,-0.2,1), 20000))
base.baseContainer.transformContainer.append(rotatePath(Vector(1,0,0), 20000))
base.baseContainer.transformContainer.append(Translation(Vector(0,0,-50)))
base.baseContainer.transformContainer.append(
	Transform(rotateAxis=Vector(0,1,0), 
	rotateAmount=270))
base.baseContainer.setMaterial(Material(specular=(0.5,0.5,0.5,1), shininess=200,
	emissive=(0,0,0,1), ambient=(0.2,0.2,0.2,1)))

r = TransformContainer()
r.append(rotatePath(Vector(0,0,1), 5000))
base.newLight(Vector(0,30,0), (1,0,0,1), r)

t = TransformContainer()
t.append(rotatePath(Vector(0,1,0), 3000))
base.newLight(Vector(0,0,30), (1,1,0,1), t)


base.run()
