from Togra import *


GL_QUADS = 7

scene = init()

r1 = InterpolatedPath(3)
r1.setType(2)
r1.append((Vector(1,0.5,0.2), 0), 0)
r1.append((Vector(1,0.5,0.2), 360), 6500)
r1.setMaxIndex(6500)
                                                                                
r2 = InterpolatedPath(3)
r2.setType(2)
r2.append((Vector(1,0.5,0.2), 0), 0)
r2.append((Vector(0,0.5,1), 360), 20000)
r2.setMaxIndex(20000)

panelList = VectorList(8)
panelList.append(Vector(0,-5,-5))
panelList.append(Vector(0,5,-5))
panelList.append(Vector(0,5,5))
panelList.append(Vector(0,-5,5))
panelList.append(Vector(0,-5,-5))
panelList.append(Vector(0,-5,5))
panelList.append(Vector(0,5,5))
panelList.append(Vector(0,5,-5))

panelNormals = VectorList(8)
for i in range(4):
        panelNormals.append(Vector(1, 0, 0))
for i in range(4):
        panelNormals.append(Vector(-1, 0, 0))

panelTexture = FloatList(16)
for i in range(2):
        panelTexture.append(0.0)
        panelTexture.append(0.0)
        panelTexture.append(1.0)
        panelTexture.append(0.0)
        panelTexture.append(1.0)
        panelTexture.append(1.0)
        panelTexture.append(0.0)
        panelTexture.append(1.0)

panel = Container(1)
panel.append(StaticRender(panelList, GL_QUADS, normals=panelNormals,
        textureCoords=panelTexture))
panel.transformContainer.append(r1)

panelTexture = IntList(64*64)
for i in range(64):
        for j in range(64):
                if ((i & 0x8) and (j & 0x8)) or \
                        ((not (i & 0x8)) and (not (j & 0x8))):
                        panelTexture.append((i << 2) | (j << 10))
                else:
                        panelTexture.append((i << 2) | (j << 10) | \
                                ((i + j) << 17))
        

panelMaterial = Material(ambient=(1, 1, 1, 1))
panelMaterial.setTexture(StaticTexture(panelTexture, 64, 64))
panel.setMaterial(panelMaterial)

scene.view_from = Vector(-30,0,0)
scene.baseContainer.transformContainer.append(r2)
scene.baseContainer.append(panel)

scene.run()
